Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Private Member Functions | Private Attributes | List of all members
Ipopt::IteratesVector Class Reference

Specialized CompoundVector class specifically for the algorithm iterates. More...

`#include <IpIteratesVector.hpp>`

Inheritance diagram for Ipopt::IteratesVector:
[legend]

## Public Member Functions
| IteratesVector (const IteratesVectorSpace *owner_space, bool create_new)
| Constructors / Destructors. More...
virtual | ~IteratesVector ()
SmartPtr< IteratesVector > | MakeNewIteratesVector (bool create_new=true) const
| Make New methods. More...
SmartPtr< IteratesVector > | MakeNewIteratesVectorCopy () const
| Use this method to create a new iterates vector with a copy of all the data. More...
SmartPtr< IteratesVector > | MakeNewContainer () const
| Use this method to create a new iterates vector container. More...
SmartPtr< const Vector > | x () const
| Iterates Set/Get Methods. More...
SmartPtr< Vector > | x_NonConst ()
| Get the x iterate (non-const) - this can only be called if the vector was created intenally, or the Set_x_NonConst method was used. More...
SmartPtr< Vector > | create_new_x ()
| Create a new vector in the x entry. More...
SmartPtr< Vector > | create_new_x_copy ()
| Create a new vector in the x entry and copy the current values into it. More...
void | Set_x (const Vector &vec)
| Set the x iterate (const). More...
void | Set_x_NonConst (Vector &vec)
| Set the x iterate (non-const). More...
SmartPtr< const Vector > | s () const
| Get the s iterate (const) More...
SmartPtr< Vector > | s_NonConst ()
| Get the s iterate (non-const) - this can only be called if the vector was created intenally, or the Set_s_NonConst method was used. More...
SmartPtr< Vector > | create_new_s ()
| Create a new vector in the s entry. More...
SmartPtr< Vector > | create_new_s_copy ()
| Create a new vector in the s entry and copy the current values into it. More...
void | Set_s (const Vector &vec)
| Set the s iterate (const). More...
void | Set_s_NonConst (Vector &vec)
| Set the s iterate (non-const). More...
SmartPtr< const Vector > | y_c () const
| Get the y_c iterate (const) More...
SmartPtr< Vector > | y_c_NonConst ()
| Get the y_c iterate (non-const) - this can only be called if the vector was created intenally, or the Set_y_c_NonConst method was used. More...
SmartPtr< Vector > | create_new_y_c ()
| Create a new vector in the y_c entry. More...
SmartPtr< Vector > | create_new_y_c_copy ()
| Create a new vector in the y_c entry and copy the current values into it. More...
void | Set_y_c (const Vector &vec)
| Set the y_c iterate (const). More...
void | Set_y_c_NonConst (Vector &vec)
| Set the y_c iterate (non-const). More...
SmartPtr< const Vector > | y_d () const
| Get the y_d iterate (const) More...
SmartPtr< Vector > | y_d_NonConst ()
| Get the y_d iterate (non-const) - this can only be called if the vector was created intenally, or the Set_y_d_NonConst method was used. More...
SmartPtr< Vector > | create_new_y_d ()
| Create a new vector in the y_d entry. More...
SmartPtr< Vector > | create_new_y_d_copy ()
| Create a new vector in the y_d entry and copy the current values into it. More...
void | Set_y_d (const Vector &vec)
| Set the y_d iterate (const). More...
void | Set_y_d_NonConst (Vector &vec)
| Set the y_d iterate (non-const). More...
SmartPtr< const Vector > | z_L () const
| Get the z_L iterate (const) More...
SmartPtr< Vector > | z_L_NonConst ()
| Get the z_L iterate (non-const) - this can only be called if the vector was created intenally, or the Set_z_L_NonConst method was used. More...
SmartPtr< Vector > | create_new_z_L ()
| Create a new vector in the z_L entry. More...
SmartPtr< Vector > | create_new_z_L_copy ()
| Create a new vector in the z_L entry and copy the current values into it. More...
void | Set_z_L (const Vector &vec)
| Set the z_L iterate (const). More...
void | Set_z_L_NonConst (Vector &vec)
| Set the z_L iterate (non-const). More...
SmartPtr< const Vector > | z_U () const
| Get the z_U iterate (const) More...
SmartPtr< Vector > | z_U_NonConst ()
| Get the z_U iterate (non-const) - this can only be called if the vector was created intenally, or the Set_z_U_NonConst method was used. More...
SmartPtr< Vector > | create_new_z_U ()
| Create a new vector in the z_U entry. More...
SmartPtr< Vector > | create_new_z_U_copy ()
| Create a new vector in the z_U entry and copy the current values into it. More...
void | Set_z_U (const Vector &vec)
| Set the z_U iterate (const). More...
void | Set_z_U_NonConst (Vector &vec)
| Set the z_U iterate (non-const). More...
SmartPtr< const Vector > | v_L () const
| Get the v_L iterate (const) More...
SmartPtr< Vector > | v_L_NonConst ()
| Get the v_L iterate (non-const) - this can only be called if the vector was created intenally, or the Set_v_L_NonConst method was used. More...
SmartPtr< Vector > | create_new_v_L ()
| Create a new vector in the v_L entry. More...
SmartPtr< Vector > | create_new_v_L_copy ()
| Create a new vector in the v_L entry and copy the current values into it. More...
void | Set_v_L (const Vector &vec)
| Set the v_L iterate (const). More...
void | Set_v_L_NonConst (Vector &vec)
| Set the v_L iterate (non-const). More...
SmartPtr< const Vector > | v_U () const
| Get the v_U iterate (const) More...
SmartPtr< Vector > | v_U_NonConst ()
| Get the v_U iterate (non-const) - this can only be called if the vector was created intenally, or the Set_v_U_NonConst method was used. More...
SmartPtr< Vector > | create_new_v_U ()
| Create a new vector in the v_U entry. More...
SmartPtr< Vector > | create_new_v_U_copy ()
| Create a new vector in the v_U entry and copy the current values into it. More...
void | Set_v_U (const Vector &vec)
| Set the v_U iterate (const). More...
void | Set_v_U_NonConst (Vector &vec)
| Set the v_U iterate (non-const). More...
void | Set_primal (const Vector &x, const Vector &s)
| Set the primal variables all in one shot. More...
void | Set_primal_NonConst (Vector &x, Vector &s)
void | Set_eq_mult (const Vector &y_c, const Vector &y_d)
| Set the eq multipliers all in one shot. More...
void | Set_eq_mult_NonConst (Vector &y_c, Vector &y_d)
void | Set_bound_mult (const Vector &z_L, const Vector &z_U, const Vector &v_L, const Vector &v_U)
| Set the bound multipliers all in one shot. More...
void | Set_bound_mult_NonConst (Vector &z_L, Vector &z_U, Vector &v_L, Vector &v_U)
TaggedObject::Tag | GetTagSum () const
| Get a sum of the tags of the contained items. More...
Public Member Functions inherited from Ipopt::CompoundVector
void | SetComp (Index icomp, const Vector &vec)
| Method for setting the pointer for a component that is a const Vector. More...
void | SetCompNonConst (Index icomp, Vector &vec)
| Method for setting the pointer for a component that is a non-const Vector. More...
Index | NComps () const
| Number of components of this compound vector. More...
bool | IsCompConst (Index i) const
| Check if a particular component is const or not. More...
bool | IsCompNull (Index i) const
| Check if a particular component is null or not. More...
SmartPtr< const Vector > | GetComp (Index i) const
| Return a particular component (const version) More...
SmartPtr< Vector > | GetCompNonConst (Index i)
| Return a particular component (non-const version). More...
| CompoundVector (const CompoundVectorSpace *owner_space, bool create_new)
| Constructor, given the corresponding CompoundVectorSpace. More...
virtual | ~CompoundVector ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::Vector
Vector * | MakeNew () const
| Create new Vector of the same type with uninitialized data. More...
Vector * | MakeNewCopy () const
| Create new Vector of the same type and copy the data over. More...
bool | HasValidNumbers () const
| Method for determining if all stored numbers are valid (i.e., no Inf or Nan). More...
| Vector (const VectorSpace *owner_space)
| Constructor. More...
virtual | ~Vector ()
| Destructor. More...
void | Copy (const Vector &x)
| Copy the data of the vector x into this vector (DCOPY). More...
void | Scal (Number alpha)
| Scales the vector by scalar alpha (DSCAL) More...
void | Axpy (Number alpha, const Vector &x)
| Add the multiple alpha of vector x to this vector (DAXPY) More...
Number | Dot (const Vector &x) const
| Computes inner product of vector x with this (DDOT) More...
Number | Nrm2 () const
| Computes the 2-norm of this vector (DNRM2) More...
Number | Asum () const
| Computes the 1-norm of this vector (DASUM) More...
Number | Amax () const
| Computes the max-norm of this vector (based on IDAMAX) More...
void | Set (Number alpha)
| Set each element in the vector to the scalar alpha. More...
void | ElementWiseDivide (const Vector &x)
| Element-wise division . More...
void | ElementWiseMultiply (const Vector &x)
| Element-wise multiplication . More...
void | ElementWiseMax (const Vector &x)
| Element-wise max against entries in x. More...
void | ElementWiseMin (const Vector &x)
| Element-wise min against entries in x. More...
void | ElementWiseReciprocal ()
| Reciprocates the entries in the vector. More...
void | ElementWiseAbs ()
| Absolute values of the entries in the vector. More...
void | ElementWiseSqrt ()
| Element-wise square root of the entries in the vector. More...
void | ElementWiseSgn ()
    Replaces the vector values with their sgn values
( -1 if x_i < 0, 0 if x_i == 0, and 1 if x_i > 0) More...
void | AddScalar (Number scalar)
| Add scalar to every vector component. More...
Number | Max () const
| Returns the maximum value in the vector. More...
Number | Min () const
| Returns the minimum value in the vector. More...
Number | Sum () const
| Returns the sum of the vector entries. More...
Number | SumLogs () const
| Returns the sum of the logs of each vector entry. More...
void | AddOneVector (Number a, const Vector &v1, Number c)
| Add one vector, y = a * v1 + c * y. More...
void | AddTwoVectors (Number a, const Vector &v1, Number b, const Vector &v2, Number c)
| Add two vectors, y = a * v1 + b * v2 + c * y. More...
Number | FracToBound (const Vector &delta, Number tau) const
| Fraction to the boundary parameter. More...
void | AddVectorQuotient (Number a, const Vector &z, const Vector &s, Number c)
| Add the quotient of two vectors, y = a * z/s + c * y. More...
Index | Dim () const
| Dimension of the Vector. More...
SmartPtr< const VectorSpace > | OwnerSpace () const
| Return the owner VectorSpace. More...
void | Print (SmartPtr< const Journalist > jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent=0, const std::string &prefix="") const
| Print the entire vector. More...
void | Print (const Journalist &jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent=0, const std::string &prefix="") const
Public Member Functions inherited from Ipopt::TaggedObject
| TaggedObject ()
| Constructor. More...
virtual | ~TaggedObject ()
| Destructor. More...
Tag | GetTag () const
| Users of TaggedObjects call this to update their own internal tags every time they perform the expensive operation. More...
bool | HasChanged (const Tag comparison_tag) const
| Users of TaggedObjects call this to check if the object HasChanged since they last updated their own internal tag. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const
Public Member Functions inherited from Ipopt::Subject
| Subject ()
| Default Constructor. More...
virtual | ~Subject ()
| Default destructor. More...
void | AttachObserver (Observer::NotifyType notify_type, Observer *observer) const
| Attach the specified observer (i.e., begin recieving notifications). More...
void | DetachObserver (Observer::NotifyType notify_type, Observer *observer) const
| Detach the specified observer (i.e., no longer recieve notifications). More...

## Private Member Functions
SmartPtr< const Vector > | GetIterateFromComp (Index i) const
| private method to return the const element from the compound vector. More...
SmartPtr< Vector > | GetNonConstIterateFromComp (Index i)
| private method to return the non-const element from the compound vector. More...
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| IteratesVector ()
| Default Constructor. More...
| IteratesVector (const IteratesVector &)
| Copy Constructor. More...
void | operator= (const IteratesVector &)
| Overloaded Equals Operator. More...

## Private Attributes
const IteratesVectorSpace * | owner_space_

## Additional Inherited Members
Public Types inherited from Ipopt::TaggedObject
typedef unsigned int | Tag
| Type for the Tag values. More...
Protected Member Functions inherited from Ipopt::CompoundVector
virtual bool | HasValidNumbersImpl () const
| Method for determining if all stored numbers are valid (i.e., no Inf or Nan). More...
virtual void | CopyImpl (const Vector &x)
| Copy the data of the vector x into this vector (DCOPY). More...
virtual void | ScalImpl (Number alpha)
| Scales the vector by scalar alpha (DSCAL) More...
virtual void | AxpyImpl (Number alpha, const Vector &x)
| Add the multiple alpha of vector x to this vector (DAXPY) More...
virtual Number | DotImpl (const Vector &x) const
| Computes inner product of vector x with this (DDOT) More...
virtual Number | Nrm2Impl () const
| Computes the 2-norm of this vector (DNRM2) More...
virtual Number | AsumImpl () const
| Computes the 1-norm of this vector (DASUM) More...
virtual Number | AmaxImpl () const
| Computes the max-norm of this vector (based on IDAMAX) More...
virtual void | SetImpl (Number value)
| Set each element in the vector to the scalar alpha. More...
virtual void | ElementWiseDivideImpl (const Vector &x)
| Element-wise division . More...
virtual void | ElementWiseMultiplyImpl (const Vector &x)
| Element-wise multiplication . More...
virtual void | ElementWiseMaxImpl (const Vector &x)
| Element-wise max against entries in x. More...
virtual void | ElementWiseMinImpl (const Vector &x)
| Element-wise min against entries in x. More...
virtual void | ElementWiseReciprocalImpl ()
| Element-wise reciprocal. More...
virtual void | ElementWiseAbsImpl ()
| Element-wise absolute values. More...
virtual void | ElementWiseSqrtImpl ()
| Element-wise square-root. More...
virtual void | ElementWiseSgnImpl ()
| Replaces entries with sgn of the entry. More...
virtual void | AddScalarImpl (Number scalar)
| Add scalar to every component of the vector. More...
virtual Number | MaxImpl () const
| Max value in the vector. More...
virtual Number | MinImpl () const
| Min value in the vector. More...
virtual Number | SumImpl () const
| Computes the sum of the lements of vector. More...
virtual Number | SumLogsImpl () const
| Computes the sum of the logs of the elements of vector. More...
void | AddTwoVectorsImpl (Number a, const Vector &v1, Number b, const Vector &v2, Number c)
| Add two vectors (a * v1 + b * v2). More...
Number | FracToBoundImpl (const Vector &delta, Number tau) const
| Fraction to the boundary parameter. More...
void | AddVectorQuotientImpl (Number a, const Vector &z, const Vector &s, Number c)
| Add the quotient of two vectors, y = a * z/s + c * y. More...
virtual void | PrintImpl (const Journalist &jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent, const std::string &prefix) const
| Print the entire vector. More...
implementation methods (derived classes MUST
overload these pure virtual protected methods.)
Protected Member Functions inherited from Ipopt::TaggedObject
void | ObjectChanged ()
| Objects derived from TaggedObject MUST call this method every time their internal state changes to update the internal tag for comparison. More...
Protected Member Functions inherited from Ipopt::Subject
void | Notify (Observer::NotifyType notify_type) const

## Detailed Description

Specialized CompoundVector class specifically for the algorithm iterates.

This class inherits from CompoundVector and is a specialized class for handling the iterates of the Ipopt Algorithm, that is, x, s, y_c, y_d, z_L, z_U, v_L, and v_U. It inherits from CompoundVector so it can behave like a CV in most calculations, but it has fixed dimensions and cannot be customized

Definition at line 27 of file IpIteratesVector.hpp.

## Constructor & Destructor Documentation

Ipopt::IteratesVector::IteratesVector | ( | const IteratesVectorSpace * | owner_space,
|  | bool | create_new
| ) |  |

Constructors / Destructors.

virtual Ipopt::IteratesVector::~IteratesVector | ( |  | ) |
| virtual

Ipopt::IteratesVector::IteratesVector | ( |  | ) |
| private

Default Constructor.

Ipopt::IteratesVector::IteratesVector | ( | const IteratesVector & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

SmartPtr<IteratesVector> Ipopt::IteratesVector::MakeNewIteratesVector | ( | bool | create_new = `true` | ) | const

Make New methods.

Use this method to create a new iterates vector. The MakeNew method on the Vector class also works, but it does not give the create_new option.

SmartPtr<IteratesVector> Ipopt::IteratesVector::MakeNewIteratesVectorCopy | ( |  | ) | const
| inline

Use this method to create a new iterates vector with a copy of all the data.

Definition at line 48 of file IpIteratesVector.hpp.

SmartPtr<IteratesVector> Ipopt::IteratesVector::MakeNewContainer | ( |  | ) | const

Use this method to create a new iterates vector container.

This creates a new NonConst container, but the elements inside the iterates vector may be const. Therefore, the container can be modified to point to new entries, but the existing entries may or may not be modifiable.

SmartPtr<const Vector> Ipopt::IteratesVector::x | ( |  | ) | const
| inline

Iterates Set/Get Methods.

Get the x iterate (const)

Definition at line 67 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::x_NonConst | ( |  | ) |
| inline

Get the x iterate (non-const) - this can only be called if the vector was created intenally, or the Set_x_NonConst method was used.

Definition at line 75 of file IpIteratesVector.hpp.

SmartPtr< Vector > Ipopt::IteratesVector::create_new_x | ( |  | ) |
| inline

Create a new vector in the x entry.

Definition at line 640 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::create_new_x_copy | ( |  | ) |
| inline

Create a new vector in the x entry and copy the current values into it.

Definition at line 86 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_x | ( | const Vector & | vec | ) |
| inline

Set the x iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 96 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_x_NonConst | ( | Vector & | vec | ) |
| inline

Set the x iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 103 of file IpIteratesVector.hpp.

SmartPtr<const Vector> Ipopt::IteratesVector::s | ( |  | ) | const
| inline

Get the s iterate (const)

Definition at line 109 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::s_NonConst | ( |  | ) |
| inline

Get the s iterate (non-const) - this can only be called if the vector was created intenally, or the Set_s_NonConst method was used.

Definition at line 117 of file IpIteratesVector.hpp.

SmartPtr< Vector > Ipopt::IteratesVector::create_new_s | ( |  | ) |
| inline

Create a new vector in the s entry.

Definition at line 646 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::create_new_s_copy | ( |  | ) |
| inline

Create a new vector in the s entry and copy the current values into it.

Definition at line 128 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_s | ( | const Vector & | vec | ) |
| inline

Set the s iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 138 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_s_NonConst | ( | Vector & | vec | ) |
| inline

Set the s iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 145 of file IpIteratesVector.hpp.

SmartPtr<const Vector> Ipopt::IteratesVector::y_c | ( |  | ) | const
| inline

Get the y_c iterate (const)

Definition at line 151 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::y_c_NonConst | ( |  | ) |
| inline

Get the y_c iterate (non-const) - this can only be called if the vector was created intenally, or the Set_y_c_NonConst method was used.

Definition at line 159 of file IpIteratesVector.hpp.

SmartPtr< Vector > Ipopt::IteratesVector::create_new_y_c | ( |  | ) |
| inline

Create a new vector in the y_c entry.

Definition at line 652 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::create_new_y_c_copy | ( |  | ) |
| inline

Create a new vector in the y_c entry and copy the current values into it.

Definition at line 170 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_y_c | ( | const Vector & | vec | ) |
| inline

Set the y_c iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 180 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_y_c_NonConst | ( | Vector & | vec | ) |
| inline

Set the y_c iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 187 of file IpIteratesVector.hpp.

SmartPtr<const Vector> Ipopt::IteratesVector::y_d | ( |  | ) | const
| inline

Get the y_d iterate (const)

Definition at line 193 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::y_d_NonConst | ( |  | ) |
| inline

Get the y_d iterate (non-const) - this can only be called if the vector was created intenally, or the Set_y_d_NonConst method was used.

Definition at line 201 of file IpIteratesVector.hpp.

SmartPtr< Vector > Ipopt::IteratesVector::create_new_y_d | ( |  | ) |
| inline

Create a new vector in the y_d entry.

Definition at line 658 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::create_new_y_d_copy | ( |  | ) |
| inline

Create a new vector in the y_d entry and copy the current values into it.

Definition at line 212 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_y_d | ( | const Vector & | vec | ) |
| inline

Set the y_d iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 222 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_y_d_NonConst | ( | Vector & | vec | ) |
| inline

Set the y_d iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 229 of file IpIteratesVector.hpp.

SmartPtr<const Vector> Ipopt::IteratesVector::z_L | ( |  | ) | const
| inline

Get the z_L iterate (const)

Definition at line 235 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::z_L_NonConst | ( |  | ) |
| inline

Get the z_L iterate (non-const) - this can only be called if the vector was created intenally, or the Set_z_L_NonConst method was used.

Definition at line 243 of file IpIteratesVector.hpp.

SmartPtr< Vector > Ipopt::IteratesVector::create_new_z_L | ( |  | ) |
| inline

Create a new vector in the z_L entry.

Definition at line 664 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::create_new_z_L_copy | ( |  | ) |
| inline

Create a new vector in the z_L entry and copy the current values into it.

Definition at line 254 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_z_L | ( | const Vector & | vec | ) |
| inline

Set the z_L iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 264 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_z_L_NonConst | ( | Vector & | vec | ) |
| inline

Set the z_L iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 271 of file IpIteratesVector.hpp.

SmartPtr<const Vector> Ipopt::IteratesVector::z_U | ( |  | ) | const
| inline

Get the z_U iterate (const)

Definition at line 277 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::z_U_NonConst | ( |  | ) |
| inline

Get the z_U iterate (non-const) - this can only be called if the vector was created intenally, or the Set_z_U_NonConst method was used.

Definition at line 285 of file IpIteratesVector.hpp.

SmartPtr< Vector > Ipopt::IteratesVector::create_new_z_U | ( |  | ) |
| inline

Create a new vector in the z_U entry.

Definition at line 670 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::create_new_z_U_copy | ( |  | ) |
| inline

Create a new vector in the z_U entry and copy the current values into it.

Definition at line 296 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_z_U | ( | const Vector & | vec | ) |
| inline

Set the z_U iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 306 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_z_U_NonConst | ( | Vector & | vec | ) |
| inline

Set the z_U iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 313 of file IpIteratesVector.hpp.

SmartPtr<const Vector> Ipopt::IteratesVector::v_L | ( |  | ) | const
| inline

Get the v_L iterate (const)

Definition at line 319 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::v_L_NonConst | ( |  | ) |
| inline

Get the v_L iterate (non-const) - this can only be called if the vector was created intenally, or the Set_v_L_NonConst method was used.

Definition at line 327 of file IpIteratesVector.hpp.

SmartPtr< Vector > Ipopt::IteratesVector::create_new_v_L | ( |  | ) |
| inline

Create a new vector in the v_L entry.

Definition at line 676 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::create_new_v_L_copy | ( |  | ) |
| inline

Create a new vector in the v_L entry and copy the current values into it.

Definition at line 338 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_v_L | ( | const Vector & | vec | ) |
| inline

Set the v_L iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 348 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_v_L_NonConst | ( | Vector & | vec | ) |
| inline

Set the v_L iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 355 of file IpIteratesVector.hpp.

SmartPtr<const Vector> Ipopt::IteratesVector::v_U | ( |  | ) | const
| inline

Get the v_U iterate (const)

Definition at line 361 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::v_U_NonConst | ( |  | ) |
| inline

Get the v_U iterate (non-const) - this can only be called if the vector was created intenally, or the Set_v_U_NonConst method was used.

Definition at line 369 of file IpIteratesVector.hpp.

SmartPtr< Vector > Ipopt::IteratesVector::create_new_v_U | ( |  | ) |
| inline

Create a new vector in the v_U entry.

Definition at line 682 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::create_new_v_U_copy | ( |  | ) |
| inline

Create a new vector in the v_U entry and copy the current values into it.

Definition at line 380 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_v_U | ( | const Vector & | vec | ) |
| inline

Set the v_U iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 390 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_v_U_NonConst | ( | Vector & | vec | ) |
| inline

Set the v_U iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 397 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_primal | ( | const Vector & | x,
|  | const Vector & | s
| ) |  |
| inline

Set the primal variables all in one shot.

Sets the pointers, does NOT copy data

Definition at line 404 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_primal_NonConst | ( | Vector & | x,
|  | Vector & | s
| ) |  |
| inline

Definition at line 409 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_eq_mult | ( | const Vector & | y_c,
|  | const Vector & | y_d
| ) |  |
| inline

Set the eq multipliers all in one shot.

Sets the pointers, does not copy data.

Definition at line 417 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_eq_mult_NonConst | ( | Vector & | y_c,
|  | Vector & | y_d
| ) |  |
| inline

Definition at line 422 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_bound_mult | ( | const Vector & | z_L,
|  | const Vector & | z_U,
|  | const Vector & | v_L,
|  | const Vector & | v_U
| ) |  |
| inline

Set the bound multipliers all in one shot.

Sets the pointers, does not copy data.

Definition at line 430 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::Set_bound_mult_NonConst | ( | Vector & | z_L,
|  | Vector & | z_U,
|  | Vector & | v_L,
|  | Vector & | v_U
| ) |  |
| inline

Definition at line 437 of file IpIteratesVector.hpp.

TaggedObject::Tag Ipopt::IteratesVector::GetTagSum | ( |  | ) | const
| inline

Get a sum of the tags of the contained items.

There is no guarantee that this is unique, but there is a high chance it is unique and it can be used for debug checks relatively reliably.

Definition at line 450 of file IpIteratesVector.hpp.

void Ipopt::IteratesVector::operator= | ( | const IteratesVector & |  | ) |
| private

Overloaded Equals Operator.

SmartPtr<const Vector> Ipopt::IteratesVector::GetIterateFromComp | ( | Index | i | ) | const
| inline private

private method to return the const element from the compound vector.

This method will return NULL if none is currently set.

Definition at line 507 of file IpIteratesVector.hpp.

SmartPtr<Vector> Ipopt::IteratesVector::GetNonConstIterateFromComp | ( | Index | i | ) |
| inline private

private method to return the non-const element from the compound vector.

This method will return NULL if none is currently set.

Definition at line 519 of file IpIteratesVector.hpp.

## Member Data Documentation

const IteratesVectorSpace* Ipopt::IteratesVector::owner_space_
| private

Definition at line 501 of file IpIteratesVector.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/IpIteratesVector.hpp